QGIS Application - Bug report #7220

QGIS server error message when searching >1 word

2013-02-22 08:49 AM - Giovanni Manghi

Status: Closed
Priority: High
Assignee:

Category: QGIS Server

Affected QGIS version:master
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 16254

Description

In the QGIS web client try set up a simple search, then try search for two words separated by a space. A message will pop up

The filter string "nome" = ‘penela penela’ has been rejected because of security reasons. Note: Text strings have to be enclosed in
single or double quotes. A space between each word / special character is mandatory. Allowed Keywords and special characters are
AND,OR,IN,<,>=,>,>=,!=,"",(,), DMETAPHONE,SOUNDEX. Not allowed are semicolons in the filter expression.

At first | supposed was a configuration problem or a client bug, then with firebug | realized that the message comes from the server. The

URL with the request has the words between ™ but it returns anyway the error. Not sure if is a regression, this has been observed on qgis

master.

History

#1 - 2013-02-22 08:50 AM - Giovanni Manghi
- Subject changed from QGIS server error message to QGIS server error message when searching >1 word

#2 - 2013-03-18 02:48 AM - Marco Hugentobler

- Status changed from Open to Closed

Fixed in commit:bfde7c834a73280d05a9¢7495a44¢5563b7b70cd
